%define         dlver 2025-05-10

Name:           neomutt
Version:        %(echo %{dlver} | sed -s 's|-||g')
Release:        %mkrel 1
Summary:        A command line mail reader based on Mutt
Group:          Networking/Mail
License:        GPLv2
URL:            https://www.neomutt.org/
Source0:        https://github.com/neomutt/neomutt/archive/%{version}/%{name}-%{version}.tar.gz
# Add file from git master
Source1:        https://github.com/neomutt/neomutt/raw/main/auto.def#/auto-%{version}.def

Patch0:         neomutt-program-prefix.patch

BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(lua) >= 5.3
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(libidn2)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  pkgconfig(kyotocabinet)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gpgme-devel
BuildRequires:  doxygen
BuildRequires:  xsltproc
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-utils
BuildRequires:  linuxdoc-tools
BuildRequires:  db-devel >= 5.3
Requires:       urlview
Requires:       sasl-plug-login
Requires:	sasl-plug-gssapi
Recommends:     mailcap
Recommends:     neomutt-doc = %{version}-%{release}

%description
What is NeoMutt?

    NeoMutt is a project of projects.
    A place to gather all the patches against Mutt.
    A place for all the developers to gather.

Hopefully this will build the community and reduce duplicated effort.

NeoMutt was created when Richard Russon (FlatCap) took all the old Mutt
patches, sorted through them, fixed them up and documented them.

%package doc
Summary:        Documentation and examples for NeoMutt
BuildArch:      noarch

%description doc
This package contains the documentation and examples for NeoMutt.

%prep
%autosetup -p1 -n %{name}-%{version}

cp %{S:1} auto.def

%build
export CC=cc
%configure \
    --lua \
    --gpgme \
    --full-doc \
    --gnutls \
    --gss \
    --ssl \
    --docdir=%{_docdir}/%{name}-doc \
    --bdb \
    --pgp \
    --smime \
    --locales-fix \
    --sasl \
    --idn2 \
    --pcre2 \
    --zstd \
    --zlib \
    --disable-idn \
    --libdir=%{_libdir} \
    --disable-maintainer-mode \
    --disable-dependency-tracking \
    --kyotocabinet \
    --with-sqlite=%{_libdir} \
    --with-lock

# neomutt automatically adds /lib and /usr/lib regardless of arch, so this fixes it
sed -i "s|L/lib|L/%{_lib}|g" Makefile
sed -i "s|L/usr/lib|L/usr/%{_lib}|g" Makefile

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.* ChangeLog.md
%config(noreplace) %{_sysconfdir}/neomuttrc
%{_bindir}/neomutt
%{_datadir}/%{name}/
%{_libexecdir}/%{name}/
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files doc
%{_docdir}/%{name}-doc/


%changelog
* Sat May 10 2025 kekepower <kekepower> 20250510-1.mga10
+ Revision: 2182311
- Update to version 20250510

* Sun Apr 06 2025 daviddavid <daviddavid> 20250404-1.mga10
+ Revision: 2173945
- new version: 20250404

* Thu Oct 03 2024 kekepower <kekepower> 20241002-1.mga10
+ Revision: 2102890
- Update to version 20241002

* Mon Apr 29 2024 kekepower <kekepower> 20240425-1.mga10
+ Revision: 2061680
- Update to release 2024-04-25

* Tue Apr 16 2024 kekepower <kekepower> 20240416-1.mga10
+ Revision: 2058066
- Update to release 2024-04-16

* Sat Mar 30 2024 kekepower <kekepower> 20240329-1.mga10
+ Revision: 2053202
- Update to release 2024-03-29

* Tue Mar 26 2024 wally <wally> 20240323-2.mga10
+ Revision: 2052351
- fix arm32 (and others) build

* Mon Mar 25 2024 kekepower <kekepower> 20240323-1.mga10
+ Revision: 2052043
- Update to release 2024-03-23

* Sat Feb 03 2024 kekepower <kekepower> 20240201-1.mga10
+ Revision: 2036898
- Update to release 20240201
- Update to release 20231221

* Sun Nov 05 2023 kekepower <kekepower> 20231103-1.mga10
+ Revision: 2004269
- Update to version 2023-11-03

* Sat Oct 28 2023 kekepower <kekepower> 20231023-1.mga10
+ Revision: 2002334
- Update to release 20231023

* Mon Oct 09 2023 kekepower <kekepower> 20231006-1.mga10
+ Revision: 1993746
- Update to release 20231006

* Wed May 17 2023 kekepower <kekepower> 20230517-1.mga9
+ Revision: 1957148
- Update to release 2023-05-17

* Fri May 12 2023 kekepower <kekepower> 20230512-1.mga9
+ Revision: 1956688
- Update to release 2023-05-12

* Sat Apr 08 2023 kekepower <kekepower> 20230407-1.mga9
+ Revision: 1951767
- Update to release 2023-04-07

* Fri Mar 24 2023 kekepower <kekepower> 20230322-1.mga9
+ Revision: 1950295
- Update to release 2023-03-22

* Fri Apr 29 2022 kekepower <kekepower> 20220429-1.mga9
+ Revision: 1855088
- Update to version 2022-04-29

* Fri Apr 15 2022 kekepower <kekepower> 20220415-1.mga9
+ Revision: 1850465
- Update to version 2022-04-15

* Fri Apr 08 2022 kekepower <kekepower> 20220408-1.mga9
+ Revision: 1848104
- Update to version 2022-04-08

* Mon Apr 04 2022 umeabot <umeabot> 20211029-3.mga9
+ Revision: 1843811
- Mageia 9 Mass Rebuild

* Fri Oct 29 2021 kekepower <kekepower> 20211029-2.mga9
+ Revision: 1753310
- Try to fix build on arm

* Fri Oct 29 2021 kekepower <kekepower> 20211029-1.mga9
+ Revision: 1753305
- Update to release 2021-10-29

* Sat Oct 23 2021 kekepower <kekepower> 20211022-1.mga9
+ Revision: 1752703
- Update to version 2021-10-22

* Fri Oct 15 2021 kekepower <kekepower> 20211015-1.mga9
+ Revision: 1751554
- Update to version 2021-10-15

* Sat Apr 03 2021 wally <wally> 20210205-2.mga9
+ Revision: 1712972
- rebuild for lua 5.4

* Fri Feb 05 2021 kekepower <kekepower> 20210205-1.mga8
+ Revision: 1674911
- Update to release 20210205

* Fri Nov 27 2020 kekepower <kekepower> 20201127-1.mga8
+ Revision: 1649731
- Update to release 20201127

* Fri Nov 20 2020 kekepower <kekepower> 20201120-1.mga8
+ Revision: 1647998
- Update to release 20201120

* Sat Sep 26 2020 kekepower <kekepower> 20200925-1.mga8
+ Revision: 1630654
- Update to version 20200925

* Fri Aug 21 2020 kekepower <kekepower> 20200821-1.mga8
+ Revision: 1617726
- Update to version 20200821
+ ovitters <ovitters>
- switch url to http, https gives certificate error

* Sun Aug 16 2020 kekepower <kekepower> 20200814-1.mga8
+ Revision: 1614293
- Update to version 20200814

* Sun Jun 28 2020 kekepower <kekepower> 20200626-1.mga8
+ Revision: 1600122
- Update to version 20200626

* Fri Jun 19 2020 kekepower <kekepower> 20200619-1.mga8
+ Revision: 1597400
- Update to version 20200619
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri May 01 2020 kekepower <kekepower> 20200501-1.mga8
+ Revision: 1577625
- Update to version 20200501

* Fri Apr 24 2020 kekepower <kekepower> 20200424-1.mga8
+ Revision: 1571760
- Update to release 20200424

* Sun Apr 19 2020 kekepower <kekepower> 20200417-1.mga8
+ Revision: 1569713
- Update to version 20200417

* Fri Mar 13 2020 kekepower <kekepower> 20200313-1.mga8
+ Revision: 1556129
- Update to release 20200313

* Thu Mar 05 2020 kekepower <kekepower> 20191207-2.mga8
+ Revision: 1553995
- Revert changes in r1553988

* Thu Mar 05 2020 umeabot <umeabot> 20191207-0.2.mga8
+ Revision: 1553988
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 08 2019 kekepower <kekepower> 20191207-0.1.mga8
+ Revision: 1465205
- Update to release 20191207

* Sat Nov 30 2019 kekepower <kekepower> 20191129-0.1.mga8
+ Revision: 1463840
- Update to release 20191129

* Tue Nov 12 2019 kekepower <kekepower> 20191111-0.1.mga8
+ Revision: 1459539
- Update to release 20191111

* Sat Nov 02 2019 kekepower <kekepower> 20191102-0.1.mga8
+ Revision: 1457305
- Update to release 20191102

* Mon Oct 28 2019 kekepower <kekepower> 20191025-0.1.mga8
+ Revision: 1456310
- Update to release 2019-10-25

* Wed Feb 13 2019 luigiwalser <luigiwalser> 20180716-0.4.mga7
+ Revision: 1366531
- rebuild for libidn2

* Wed Jan 09 2019 wally <wally> 20180716-0.3.mga7
+ Revision: 1353603
- rebuild for new libidn2

* Sun Sep 23 2018 umeabot <umeabot> 20180716-0.2.mga7
+ Revision: 1299696
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 kekepower <kekepower> 20180716-0.1.mga7
+ Revision: 1248797
- Update to release 20180716

* Fri Jun 22 2018 kekepower <kekepower> 20180622-0.2.mga7
+ Revision: 1239075
- Fix Requires for sasl-plugins

* Fri Jun 22 2018 kekepower <kekepower> 20180622-0.1.mga7
+ Revision: 1238867
- Update to release 20180622

* Sat Jun 09 2018 kekepower <kekepower> 20180512-0.3.mga7
+ Revision: 1235643
- BR krb53-devel
- Enable gss

* Thu May 24 2018 kekepower <kekepower> 20180512-0.2.mga7
+ Revision: 1232067
- Build with idn2 and disable idn

* Sat May 12 2018 kekepower <kekepower> 20180512-0.1.mga7
+ Revision: 1228456
- Update to release 20180512

* Fri May 11 2018 kekepower <kekepower> 20180323-0.2.mga7
+ Revision: 1228383
- Rebuild for libidn 1.35

* Fri Apr 27 2018 kekepower <kekepower> 20180323-0.1.mga7
+ Revision: 1222911
- Update to version 20180323
- Update BRs
- Fix file lists
+ diogoleal <diogoleal>
- added neomutt spec file
- Created package structure for neomutt.

